
let x; // le premier nombre de la multiplication
let y; // le deuxième nombre de la multiplication

// donne le rôle du bouton :
// si 'verifier' est 'true' alors le prochain clic sur le bouton
// est destiné à vérifier la réponse de l'utilisateur, sinon,
// le clic est destiné à proposer une nouvelle multiplication
let verifier = true; 

// génére une nouvelle multiplication, autrement dit :
// - génère deux entiers au hasard dans l'intervalle [1,9]
// - les affiche dans les bons éléments HTML
function nouvelle() {
    x = Math.floor(Math.random()*9)+1
    y = Math.floor(Math.random()*9)+1
    document.querySelector('#nombre1').innerHTML=x
    document.querySelector('#nombre2').innerHTML=y
    document.querySelector("#bouton").value="Vérifier"
    document.querySelector("#resultat").style.visibility="hidden"
    document.querySelector("#proposition").value=""
}

// cette fonction est appelée quand l'utilisateur clique
// sur le bouton. La fonction a deux rôles alternatifs :
// - vérifier que la proposition de l'utilisateur est correcte
// - générer une nouvelle multiplication
// Cette alternance est gérée à l'aide de la variable 'verifier'
function valider() {
    let btn=document.querySelector("#bouton");
    if(btn.value == "Vérifier"){
        document.querySelector("#resultat").style.visibility="visible";
        if(x * y == document.querySelector("#proposition").value){
            document.querySelector("#resultat").innerHTML="Bon résultat";
            btn.value="Continuer";
        }else{
            document.querySelector("#resultat").innerHTML="Mauvais résultat";
        }
    }else
        nouvelle();
}